Bug 1583729 - All API GET calls to '/foreman_virt_who_configure/api/configs' fail
Summary: All API GET calls to '/foreman_virt_who_configure/api/configs' fail
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.3.1
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Chris Brown
satellite-doc-list
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 14:40 UTC by Harshad More
Modified: 2019-04-01 20:26 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 19:27:02 UTC


Attachments (Terms of Use)
https://<satellite-server>/foreman_virt_who_configure/api/configs (52.14 KB, image/png)
2018-06-18 15:23 UTC, Chris Brown
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 23708 None None None 2018-05-29 14:43 UTC

Description Harshad More 2018-05-29 14:40:58 UTC
Description of problem:

Using API trying to get virt-who configuration file fails


How reproducible: Always

Steps to Reproduce:
https://<satellite-server>/foreman_virt_who_configure/api/configs

Actual results:

The page renders as:

The page you were looking for doesn't exist.
You may have mistyped the address or the page may have moved.

Expected results:

The page should be able to access

Additional info:

The foreman production log shows the following:

ActionController::RoutingError (No route matches [GET] "/foreman_vi
rt_who_configure/api/configs")
-----------

workaround:

The API worked after appending v2 in the API url 

https://<satellite-server>/foreman_virt_who_configure/api/v2/configs

Comment 1 Marek Hulan 2018-05-29 15:37:06 UTC
Just curious, where did you get the URL? I was under impressions apidoc mentions https://<satellite-server>/foreman_virt_who_configure/api/v2/configs

Comment 2 Marek Hulan 2018-05-30 09:32:33 UTC
Ah I see the wrong url is suggested in /apidoc. The fix will be in apidoc so that it suggests /foreman_virt_who_configure/api/v2/configs so your workaround is acutually right solution.

Comment 3 Harshad More 2018-05-30 11:26:58 UTC
I guess you got the fix.

Comment 6 Chris Brown 2018-06-18 15:23 UTC
Created attachment 1452667 [details]
https://<satellite-server>/foreman_virt_who_configure/api/configs

Page exists and I was able to access the website. Screenshot attached

Comment 8 Bryan Kearney 2018-10-16 19:27:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.